std::experimental::pmr::pool_options(3)

NAME
std::experimental::pmr::pool_options - std::experimental::pmr::pool_options

Synopsis
   Defined in header <experimental/memory_resource>
   struct pool_options {
   std::size_t max_blocks_per_chunk = 0; (library fundamentals TS)
   std::size_t largest_required_pool_block = 0;
   };
   The struct std::experimental::pmr::pool_options contains a set of constructor
   options for std::experimental::pmr::synchronized_pool_resource and
   std::experimental::pmr::unsynchronized_pool_resource.
  Data members
                        the maximum number of blocks that will be
   std::size_t max_blocks_per_chunk allocated at once from the upstream memory
                        resource to replenish a pool
                        (public member object)
                        the largest allocation size that is required
   std::size_t largest_required_pool_block to be fulfilled through the pooling
                        mechanism
                        (public member object)
   If the value of max_blocks_per_chunk is zero or greater than an
   implementation-defined limit, that limit is used instead. The implementation may use
   a smaller value than is specified and may use different values for different pools.
   If the value of largest_required_pool_block is zero or greater than an
   implementation-defined limit, that limit is used instead. The implementation may use
   a threshold greater than specified in this field.

See also
                        a thread-safe memory_resource for managing allocations
   synchronized_pool_resource in pools of different block sizes
                        (class)
                        a thread-unsafe memory_resource for managing
   unsynchronized_pool_resource allocations in pools of different block sizes
                        (class)